"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var glob_1 = tslib_1.__importDefault(require("glob"));
var path_1 = tslib_1.__importDefault(require("path"));
var fs = tslib_1.__importStar(require("fs"));
var parseLocalSvg = function (_a) {
    var local_svgs = _a.local_svgs;
    if (!local_svgs) {
        return [];
    }
    var localDir = path_1.default.resolve(local_svgs);
    var localSvg = glob_1.default.sync(path_1.default.join(localDir, '**/*.svg'));
    return localSvg.reduce(function (previousValue, currentValue) {
        var svgStr = fs.readFileSync(currentValue, 'utf-8');
        /**
         * 去除注释,title,desc等不需要的标签
         */
        svgStr = svgStr.substring(svgStr.indexOf('<svg '), svgStr.indexOf('</svg>') + 6)
            .replace(/<!-(.*?)->/g, '').replace(/<title>(.*?)<\/title>/g, '').replace(/<desc>(.*?)<\/desc>/g, '');
        var styleType = !!~svgStr.indexOf('</style>');
        previousValue.push({ svgStr: svgStr, name: path_1.default.basename(currentValue, '.svg'), styleType: styleType });
        return previousValue;
    }, []);
};
exports.default = parseLocalSvg;
